#!/bin/bash

### bug 170982
# 获取系统架构信息
ARCH=$(uname -m)
# 如果系统架构为sw64，则执行gio-querymodules更新模块缓存
if [ "$ARCH" = "sw_64" ]; then
	echo "当前系统架构为sw64，正在更新GIO模块缓存..."
	gio-querymodules /usr/lib/sw_64-linux-gnu/gio/modules/
	touch /usr/lib/sw_64-linux-gnu/gio/modules/*
fi
### bug 170982 end

####bug 241189
GET_HOSTNAME=$(hostname)
GET_HOSTNAMEFILE=$(cat /etc/hostname)
GET_HOSTS=$(cat /etc/hosts |grep 127.0.1.1 |awk '{print $2}')
if [ "${GET_HOSTNAMEFILE}"  != "${GET_HOSTNAME}" ];then
        sed -i "s/${GET_HOSTNAMEFILE}/${GET_HOSTNAME}/g" /etc/hostname
fi
if [ "${GET_HOSTS}" != "${GET_HOSTNAME}" ];then
        sed -i "/127.0.1.1/s/${GET_HOSTS}/${GET_HOSTNAME}/g" /etc/hosts
fi
#####bug 241189 end
